EnKash Developer Portal
Home
Home
Login
  1. UPI Autopay
  • Back to home
  • APIs - Payment Gateway
  • Authorization
    • Generate Authorization Token
    • Payment Modes Details
  • Order
    • UPI Intent Links
    • Get Dynamic UPI QR
    • Create Order
    • Get Order Status
    • Get Order By Merchant Order Id
    • Get BNPL Payment Methods
    • Search Order
  • Payment
    • Get Transaction Status
    • Submit Payment Request
    • Payment Notify Request
    • Verify UPI VPA
    • Validate OTP
    • Get UPI Transaction Status
    • Resend OTP
    • Search Transaction
  • Refund
    • Refund
    • Get Refund Transaction Status
    • Refund Webhook Request
  • Settlement
    • Get Settlement Payout By ID
    • Search Settlement Payouts
  • Split Settlement
    • Get All Split Settlement Account
    • Deactivate Split Settlement Account
    • Submit Payment with Split Details
    • Activate Split Settlement Account
    • Edit Or Deferred Split Settlement
    • Create Split Settlement Account
    • Update Split Settlement Account
    • Get IntentLink/QrCode with Split details
  • E-Commerce Plugins
  • UPI QR
    • Create UPI QR
    • Get UPI QR
    • Search UPI QR
    • Create Customer
    • Search Customer
    • Cancel UPI QR
  • UPI Autopay
    • Mocking & Simulator (UAT)
    • Create UPI Mandate
      POST
    • Update UPI Mandate
      PATCH
    • Revoke UPI Mandate
      PATCH
    • Get UPI Mandate
      GET
    • UPI Mandate Callback
      POST
    • Mandate Pre-debit Notification
      POST
    • Execute Mandate Debit
      POST
    • Mandate Debit Callback
      POST
  • Payment Links
    • Payment Link APIs
    • Create Payment Link
    • Webhook Request
    • Get Payment Link Details
    • Delete Payment Link
  • E-Collect
    • Create Virtual Account
    • View Virtual Account by Id
    • Update Virtual Account
    • View Virtual Account by Account Number
    • Search Virtual Account
    • Search Transactions
    • View Virtual Account by Customer Reference Id
  1. UPI Autopay

Get UPI Mandate

GET
/api/v0/upi-mandate/{referenceId}
📌
Use this API to retrieve the details of a specific UPI mandate by its ID. This helps you check the status, amount, frequency, and other mandate information for easier tracking and customer support.

Request

Path Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://olympus-pg-uat.enkash.in/api/v0/upi-mandate/' \
--header 'merchantAccessKey;' \
--header 'Authorization;'

Responses

🟢200OK
application/json
Bodyapplication/json

Example
{
    "umn": "string",
    "referenceId": "string",
    "mandateId": "string",
    "amount": 0,
    "amountRule": "string",
    "currency": "string",
    "payer": {
        "name": "string",
        "vpa": "string",
        "account": "string",
        "accountValidation": true
    },
    "name": "string",
    "expiry": "2019-08-24T14:15:22.123Z",
    "blockFund": true,
    "revokeableByPayer": true,
    "recurrence": {
        "period": "string",
        "rule": "string",
        "value": 0
    },
    "validity": {
        "startAt": "2019-08-24T14:15:22.123Z",
        "endAt": "2019-08-24T14:15:22.123Z"
    },
    "pausePeriod": {
        "startAt": "2019-08-24T14:15:22.123Z",
        "endAt": "2019-08-24T14:15:22.123Z"
    },
    "upiReferenceUrl": "string",
    "description": "string",
    "upiPurposeCode": "string",
    "upiResponseCode": "string",
    "status": "string",
    "createdOn": "2019-08-24T14:15:22.123Z"
}
Modified at 2025-07-05 12:39:30
Previous
Revoke UPI Mandate
Next
UPI Mandate Callback
Built with